[arch-commits] Commit in coreutils/trunk (3 files)

Allan McRae allan at archlinux.org
Mon Aug 24 14:07:02 UTC 2009


    Date: Monday, August 24, 2009 @ 10:07:02
  Author: allan
Revision: 50198

upgpkg: coreutils 7.5-1
    upstream updated, remove autoconf patch, add utimensat patch to make compatible with kernels earlier than 2.6.22, add libcap dep

Added:
  coreutils/trunk/coreutils-7.5-utimensat.patch
Modified:
  coreutils/trunk/PKGBUILD
Deleted:
  coreutils/trunk/coreutils-7.3-automake.patch

-------------------------------+
 PKGBUILD                      |   30 ++++++++++++++----------------
 coreutils-7.3-automake.patch  |   13 -------------
 coreutils-7.5-utimensat.patch |   18 ++++++++++++++++++
 3 files changed, 32 insertions(+), 29 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-08-24 13:46:24 UTC (rev 50197)
+++ PKGBUILD	2009-08-24 14:07:02 UTC (rev 50198)
@@ -3,14 +3,14 @@
 # Contributor: judd <jvinet at zeroflux.org>
 
 pkgname=coreutils
-pkgver=7.4
+pkgver=7.5
 pkgrel=1
 pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
 arch=('i686' 'x86_64')
 license=('GPL3')
 url="http://www.gnu.org/software/coreutils"
 groups=('base')
-depends=('glibc>=2.9-7' 'shadow>=4.1.3.1-1' 'pam>=1.0.4' 'acl>=2.2.47-2' 'gmp>=4.2.4')
+depends=('glibc' 'shadow' 'pam' 'acl' 'gmp' 'libcap')
 provides=('mktemp')
 conflicts=('mktemp')
 replaces=('sh-utils' 'fileutils' 'textutils' 'mktemp')
@@ -18,23 +18,26 @@
 install=${pkgname}.install
 options=('!emptydirs' '!makeflags')
 source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+        coreutils-7.5-utimensat.patch
 	coreutils-i18n.patch
 	coreutils-uname.patch
 	coreutils-pam.patch
 	coreutils-6.10-configuration.patch
-	coreutils-7.3-automake.patch
 	su)
-md5sums=('c52f4f64dda9a245c38e74c09fdd86d2'
-         'ed03cc1618dc815fe0a8b5975b4d6198'
+md5sums=('775351410b7d6879767c3e4563354dc6'
+         '16d0091ce74e2b1f77c1562bed6f475a'
+         'a1ba529769e58ffede0e033736e04c77'
          '18d3ba178e2691242287b59bd81aedb9'
          '2127eb34886396b8361c9ab39acfe01c'
-         '081aeb04487d1445d0dc3fc98cf41260'
-         'd35708c63564fb302e4c9208323ee823'
+         '01fd0ba2e88610d09313c3a4d0d46080'
          'fa85e5cce5d723275b14365ba71a8aad')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
 
+  # upstream patch - allows use of kernels prior to 2.6.22
+  patch -Np1 -i $srcdir/coreutils-7.5-utimensat.patch || return 1  
+
   # added pam patch and i18n patch from fedora cvs
   patch -Np1 -i $srcdir/coreutils-pam.patch || return 1
   patch -Np1 -i $srcdir/coreutils-i18n.patch || return 1
@@ -43,20 +46,18 @@
   # from gentoo portage
   patch -Np1 -i $srcdir/coreutils-uname.patch || return 1
 
-  # we do not use the beta automake...
-  patch -Np1 -i $srcdir/coreutils-7.3-automake.patch || return 1
   autoreconf -v
-
   ./configure --prefix=/usr \
-	--enable-install-program=su \
-	--enable-pam ac_cv_func_openat=no || return 1
+              --enable-install-program=su \
+              --enable-pam ac_cv_func_openat=no || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 
   rm -f ${pkgdir}/usr/bin/hostname ${pkgdir}/usr/share/man/man1/hostname.1 || return 1
   rm -f ${pkgdir}/usr/bin/uptime ${pkgdir}/usr/share/man/man1/uptime.1 || return 1
   rm -f ${pkgdir}/usr/bin/groups ${pkgdir}/usr/share/man/man1/groups.1 || return 1
-  rm -f ${pkgdir}/usr/bin/kill ${pkgdir}/usr/share/man/man1/kill.1|| return 1
+  rm -f ${pkgdir}/usr/bin/kill ${pkgdir}/usr/share/man/man1/kill.1 || return 1
+  
   cd ${pkgdir}/usr/bin
   install -dm755 ${pkgdir}/{bin,sbin,usr/sbin}
   mv su date echo false pwd stty true uname cat tr cut readlink $pkgdir/bin
@@ -69,7 +70,4 @@
 
   ls -lha ${pkgdir}/bin/su
   chmod -v 4555 ${pkgdir}/bin/su
-
-  rm -f ${pkgdir}/usr/share/info/dir
-  gzip -9 ${pkgdir}/usr/share/info/*
 }

Deleted: coreutils-7.3-automake.patch
===================================================================
--- coreutils-7.3-automake.patch	2009-08-24 13:46:24 UTC (rev 50197)
+++ coreutils-7.3-automake.patch	2009-08-24 14:07:02 UTC (rev 50198)
@@ -1,13 +0,0 @@
-diff -Naur coreutils-7.3-old/configure.ac coreutils-7.3/configure.ac
---- coreutils-7.3-old/configure.ac	2009-04-24 22:50:28.000000000 +1000
-+++ coreutils-7.3/configure.ac	2009-05-03 01:30:17.000000000 +1000
-@@ -32,8 +32,7 @@
- AC_CONFIG_AUX_DIR([build-aux])
- AC_CONFIG_HEADERS([lib/config.h:lib/config.hin])
- 
--AM_INIT_AUTOMAKE([1.10b dist-xz color-tests parallel-tests])
--AM_SILENT_RULES([yes]) # make --enable-silent-rules the default.
-+AM_INIT_AUTOMAKE([1.10.2 dist-lzma])
- 
- AC_PROG_CC_STDC
- AM_PROG_CC_C_O

Added: coreutils-7.5-utimensat.patch
===================================================================
--- coreutils-7.5-utimensat.patch	                        (rev 0)
+++ coreutils-7.5-utimensat.patch	2009-08-24 14:07:02 UTC (rev 50198)
@@ -0,0 +1,18 @@
+diff -urNp coreutils-7.5-orig/src/copy.c coreutils-7.5/src/copy.c
+--- coreutils-7.5-orig/src/copy.c
++++ coreutils-7.5/src/copy.c
+@@ -124,7 +124,13 @@ static inline int
+ utimens_symlink (char const *file, struct timespec const *timespec)
+ {
+ #if HAVE_UTIMENSAT
+-  return utimensat (AT_FDCWD, file, timespec, AT_SYMLINK_NOFOLLOW);
++  int err = utimensat (AT_FDCWD, file, timespec, AT_SYMLINK_NOFOLLOW);
++  /* When configuring on a system with new headers and libraries, and
++     running on one with a kernel that is old enough to lack the syscall,
++     utimensat fails with ENOSYS.  Ignore that.  */
++  if (err && errno == ENOSYS)
++    err = 0;
++  return err;
+ #else
+   /* Don't set errno=ENOTSUP here as we don't want
+      to output an error message for this case.  */




More information about the arch-commits mailing list